Machines - Get Machine

Gets a machine in the migrate project.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/migrateProjects/{migrateProjectName}/machines/{machineName}?api-version=2018-09-01-preview

URI Parameters

Name In Required Type Description
machineName
path True

string

Unique name of a machine in Azure migration hub.

migrateProjectName
path True

string

Name of the Azure Migrate project.

resourceGroupName
path True

string

Name of the Azure Resource Group that migrate project is part of.

subscriptionId
path True

string

Azure Subscription Id in which migrate project was created.

api-version
query True

string

Standard request header. Used by service to identify API version used by client.

Responses

Name Type Description
200 OK

Machine

OK

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Machines_Get

Sample request

GET https://management.azure.com/subscriptions/75dd7e42-4fd1-4512-af04-83ad9864335b/resourceGroups/myResourceGroup/providers/Microsoft.Migrate/migrateProjects/project01/machines/vm1?api-version=2018-09-01-preview

Sample response

{
  "id": "/subscriptions/75dd7e42-4fd1-4512-af04-83ad9864335b/resourceGroups/myResourceGroup/providers/Microsoft.Migrate/MigrateProjects/project01/machines/vm1",
  "name": "vm1",
  "type": "Microsoft.Migrate/MigrateProjects/machines",
  "properties": {
    "discoveryData": [
      {
        "osType": "windows",
        "osName": "windows server 2012 R2",
        "osVersion": "10.0.01",
        "enqueueTime": "2017-09-12T13:11:10.8808917Z",
        "solutionName": "mysolution",
        "machineId": "abcd",
        "machineManagerId": "efgh",
        "machineName": "vm1",
        "ipAddresses": null,
        "fqdn": null,
        "biosId": null,
        "macAddresses": null,
        "extendedInfo": {
          "custom1": "mycustomvalue"
        }
      }
    ],
    "assessmentData": [
      {
        "assessmentId": "myid1",
        "targetVMSize": "Standard_D4_v2",
        "targetVMLocation": "eastus",
        "targetStorageType": {
          "disk1": "Standard"
        },
        "enqueueTime": "2017-09-12T13:11:20.8808917Z",
        "solutionName": "mysolution",
        "machineId": "abcd",
        "machineManagerId": "efgh",
        "machineName": "vm1",
        "ipAddresses": null,
        "fqdn": null,
        "biosId": null,
        "macAddresses": null,
        "extendedInfo": {
          "custom2": "mycustomvalue"
        }
      }
    ],
    "migrationData": [
      {
        "migrationPhase": "Migrated",
        "migrationTested": true,
        "replicationProgressPercentage": 100,
        "targetVMArmId": "/subscriptions/abc/resourcegroups/rg/providers/microsoft.compute/virtualmachines/vm1",
        "enqueueTime": "2017-09-12T13:11:30.8808917Z",
        "solutionName": "mysolution",
        "machineId": "abcd",
        "machineManagerId": "efgh",
        "machineName": "vm1",
        "ipAddresses": null,
        "fqdn": null,
        "biosId": null,
        "macAddresses": null,
        "extendedInfo": {
          "custom3": "mycustomvalue"
        }
      }
    ]
  }
}

Definitions

Name Description
AssessmentDetails

Assessment properties that can be shared by various publishers.

DiscoveryDetails

Discovery properties that can be published by various ISVs.

Machine

Machine REST resource.

MachineProperties

Properties of the machine resource.

MigrationDetails

Migration properties that can be shared by various publishers.

AssessmentDetails

Assessment properties that can be shared by various publishers.

Name Type Description
assessmentId

string

Gets or sets the id of the assessment done on the machine.

biosId

string

Gets or sets the BIOS ID of the machine.

enqueueTime

string

Gets or sets the time the message was enqueued.

extendedInfo

object

Gets or sets the ISV specific extended information.

fabricType

string

Gets or sets the fabric type.

fqdn

string

Gets or sets the FQDN of the machine.

ipAddresses

string[]

Gets or sets the list of IP addresses of the machine. IP addresses could be IP V4 or IP V6.

lastUpdatedTime

string (date-time)

Gets or sets the time of the last modification of the machine details.

macAddresses

string[]

Gets or sets the list of MAC addresses of the machine.

machineId

string

Gets or sets the unique identifier of the machine.

machineManagerId

string

Gets or sets the unique identifier of the virtual machine manager(vCenter/VMM).

machineName

string

Gets or sets the name of the machine.

solutionName

string

Gets or sets the name of the solution that sent the data.

targetStorageType

object

Gets or sets the target storage type.

targetVMLocation

string

Gets or sets the target VM location.

targetVMSize

string

Gets or sets the target VM size.

DiscoveryDetails

Discovery properties that can be published by various ISVs.

Name Type Description
biosId

string

Gets or sets the BIOS ID of the machine.

enqueueTime

string

Gets or sets the time the message was enqueued.

extendedInfo

object

Gets or sets the ISV specific extended information.

fabricType

string

Gets or sets the fabric type.

fqdn

string

Gets or sets the FQDN of the machine.

ipAddresses

string[]

Gets or sets the list of IP addresses of the machine. IP addresses could be IP V4 or IP V6.

lastUpdatedTime

string (date-time)

Gets or sets the time of the last modification of the machine details.

macAddresses

string[]

Gets or sets the list of MAC addresses of the machine.

machineId

string

Gets or sets the unique identifier of the machine.

machineManagerId

string

Gets or sets the unique identifier of the virtual machine manager(vCenter/VMM).

machineName

string

Gets or sets the name of the machine.

osName

string

Gets or sets the OS name.

osType

string

Gets or sets the OS type.

osVersion

string

Gets or sets the OS version.

solutionName

string

Gets or sets the name of the solution that sent the data.

Machine

Machine REST resource.

Name Type Description
id

string

Gets or sets the relative URL to get to this REST resource.

name

string

Gets or sets the name of this REST resource.

properties

MachineProperties

Gets or sets the properties of the machine.

type

string

Gets the type of this REST resource.

MachineProperties

Properties of the machine resource.

Name Type Description
assessmentData

AssessmentDetails[]

Gets or sets the assessment details of the machine published by various sources.

discoveryData

DiscoveryDetails[]

Gets or sets the discovery details of the machine published by various sources.

lastUpdatedTime

string (date-time)

Gets or sets the time of the last modification of the machine.

migrationData

MigrationDetails[]

Gets or sets the migration details of the machine published by various sources.

MigrationDetails

Migration properties that can be shared by various publishers.

Name Type Description
biosId

string

Gets or sets the BIOS ID of the machine.

enqueueTime

string

Gets or sets the time the message was enqueued.

extendedInfo

object

Gets or sets the ISV specific extended information.

fabricType

string

Gets or sets the fabric type.

fqdn

string

Gets or sets the FQDN of the machine.

ipAddresses

string[]

Gets or sets the list of IP addresses of the machine. IP addresses could be IP V4 or IP V6.

lastUpdatedTime

string (date-time)

Gets or sets the time of the last modification of the machine details.

macAddresses

string[]

Gets or sets the list of MAC addresses of the machine.

machineId

string

Gets or sets the unique identifier of the machine.

machineManagerId

string

Gets or sets the unique identifier of the virtual machine manager(vCenter/VMM).

machineName

string

Gets or sets the name of the machine.

migrationPhase

string

Gets or sets the phase of migration of the machine.

migrationTested

boolean

Gets or sets a value indicating whether migration was tested on the machine.

replicationProgressPercentage

integer (int32)

Gets or sets the progress percentage of migration on the machine.

solutionName

string

Gets or sets the name of the solution that sent the data.

targetVMArmId

string

Gets or sets the ARM id the migrated VM.